/*
    使用プログラム
    HACHU010Search.php     発注入力画面
*/
/*  両画面共通
***************************************************************************************************/

/*  詳細画面
***************************************************************************************************/
/*----- 各ラベル設定 -----*/
/*担当者名 */
.HACHU010-lbl-tanto_nm {
    width: 310px;;
}
/*入荷倉庫 */
.HACHU010-lbl-nonyu_soko_nm {
    width: 196px;
}
/*発注台帳名称 */
.HACHU010-lbl-hachu_daicho_nm {
    width: 260px;
}
/*得意先コード */
.HACHU010-lbl-toku_cd {
    width: 50px;
}
/* 得意先名 */
.HACHU010-lbl-toku_nm {
    width: 100px;
}
/* 納入先コード */
.HACHU010-lbl-nonyu_cd {
    width: 40px;
}
/* 納入先名 */
.HACHU010-lbl-nonyu_nm {
    width: 100px;
}

/* ヘッダ備考 */
.HACHU010-txt-head_biko {
    width: 535px;
}

.HACHU010-txt-head_biko:focus {
    outline: 0;
    border-color: #333399;
}

textarea:focus {
     background-color: #fff;
}

/* ヘッダエリア
----------------------------------------------------------*/
/* ヘッダーテーブル定義 */
.HACHU010-tbl-header {
    margin-right: 20px;
    width: 1110px;
}
.HACHU010-tbl-header th {
    width: 60px;
    max-width: 60px;
}
.HACHU010-tbl-header tr:nth-of-type(1) td:nth-of-type(1) {
    width: 160px;
    max-width: 160px;
}
.HACHU010-tbl-header tr:nth-of-type(1) td:nth-of-type(2) {
    width: 160px;
    max-width: 160px;
}
.HACHU010-tbl-header tr:nth-of-type(1) td:nth-of-type(3) {
    width: 230px;
    max-width: 230px;
}
.HACHU010-tbl-header tr:nth-of-type(1) td:nth-of-type(4) {
    width: 230px;
    max-width: 230px;
}
/*申送事項テーブル定義 */
.HACHU010-div-moshiokuri {
    display: flex;
    justify-content: space-between;
    padding-right: 20px;
}
.HACHU010-tbl-moshiokuri {
    margin: 0px;
}
.HACHU010-tbl-moshiokuri th {
    width: 60px;
}
.HACHU010-tbl-moshiokuri td {
    width: 1027px;
    max-width: 1027px;
    vertical-align: top;
}

/* 仕入情報テーブル設定 */
.HACHU010-tbl-shire_hachu_info {
    width: 332px;
}
.HACHU010-tbl-shire_hachu_info th {
    width: 60px;
    max-height: 60px
}

.HACHU010-tbl-shire_hachu_info td {
    width: 292px;
    max-height: 292px;
}

/* 備考テーブル */
.HACHU010-tbl-biko {
    margin-right: 20px;
}
.HACHU010-tbl-biko th{
    width: 60px;
}

/* 金額情報表示エリア */
.HACHU010-tbl-kngk_info th{
    width: 100px;
}
.HACHU010-tbl-kngk_info td{
    width: 150px;
    text-align: right;
}

/*--- 各ラベル幅指定 ----------*/

/*--- ボタンエリア ----------*/
.HACHU010-div-header-btn-area {
    margin-bottom: 10px;
}
/*ヘッダ修正/確定ボタン*/
.HACHU010-btn_hdr_edit,
.HACHU010-btn_hdr_edit:hover,
.HACHU010-btn_hdr_edit:focus {
    width: 100px;
}

/* 業務ヘッダー（検索部）ボタンエリア */
.div-detail-btn-area {
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    justify-content: flex-start;
    width: 100%;
}
/*--- ボタンエリア ----------*/
.HACHU010-div-detail-btn-area {
    width: 880px;
    margin-top: 10px;
}

/* 次候補ボタン */
.HACHU010-div-Detail-float-btn-area{
    float: right;
/*    width: 420px;*/
}

/*****************************
 *明細エリア定義(登録画面)
 ****************************/
.HACHU010-txt-shohin_kikaku_nm {
    width: 181px;
}
.HACHU010-txt-shohin_nm {
    width: 330px;
}
.HACHU010-txt-aisu {
    width: 50px;
}
.HACHU010-txt-irisu {
    width: 70px;
}
.HACHU010-txt-suryo {
    width: 90px;
}
.HACHU010-txt-tanka {
    width: 90px;
}
.HACHU010-txt-tekiyo {
    width: 114px;
}
.HACHU010-div-dtl_title,
.HACHU010-div-dtl_data {
    width: 1530px;
    margin: 0px;
}
.HACHU010-div-dtl_data {
    height: 331px;
    width: 1547px;
    overflow-y: scroll;
    margin-bottom: 2px;
}
.HACHU010-tbl-dtl {
    margin: 0px;
}
.tbl th,
.tbl td{
    padding-right: 8px;
}
/* -1行目 ----------*/
/* 行 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(1),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(1) {
    width: 30px;
    max-width: 30px;
}
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(1) {
    text-align: right;
}
/* 取引区分 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(2),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(2) {
    width: 170px;
    max-width: 170px;
}
/* 商品コード */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(3),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(3) {
    width: 130px;
    max-width: 130px;
}
/* 規格 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(4),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(4) {
    width: 190px;
    max-width: 190px;
}
/* リードタイム */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(5),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(5) {
    width: 60px;
    max-width: 60px;
}
/* 発注点 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(6),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(6) {
    width: 80px;
    max-width: 80px;
}
/* 入数 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(7),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(7) {
    width: 80px;
    max-width: 80px;
}
/* 希望納期 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(8),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(8) {
    width: 110px;
    max-width: 110px;
}
/* 発注数量 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(9),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(9) {
    width: 100px;
    max-width: 100px;
}
/* 単位 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(10),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(10) {
    width: 85px;
    max-width: 85px;
}

/* 金額 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(11),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(11) {
    width: 100px;
    max-width: 100px;
}
/* 行摘要 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(12),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(12) {
    width: 124px;
    max-width: 124px;
}
/* 削除 */
.HACHU010-tbl-dtl thead tr:nth-of-type(1) th:nth-of-type(13),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(13) {
    width: 35px;
    max-width: 35px;
}

/* -2行目 ----------*/
.HACHU010-tbl-dtl thead tr:nth-of-type(2) th:nth-of-type(1),
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(1) {
    width: 60px;
    max-width: 60px;
}
/* 預け番号 */
.HACHU010-tbl-dtl thead tr:nth-of-type(2) th:nth-of-type(2),
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(2) {
    width: 80px;
    max-width: 80px;
}
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(2) {
    text-align: right;
}
/* 商品名称 (colspan=2)*/
.HACHU010-tbl-dtl thead tr:nth-of-type(2) th:nth-of-type(3),
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(3) {
    width: 230px;
    max-width: 230px;
}
/* 発注ロット */
.HACHU010-tbl-dtl thead tr:nth-of-type(2) th:nth-of-type(4),
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(4) {
    width: 60px;
    max-width: 60px;
}
/* 理論在庫 */
.HACHU010-tbl-dtl thead tr:nth-of-type(2) th:nth-of-type(5),
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(5) {
    width: 80px;
    max-width: 80px;
}
/* 合数 */
.HACHU010-tbl-dtl thead tr:nth-of-type(2) th:nth-of-type(6),
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(6) {
    width: 80px;
    max-width: 80px;
}
/* 単価 */
.HACHU010-tbl-dtl thead tr:nth-of-type(2) th:nth-of-type(7),
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(7) {
    width: 100px;
    max-width: 100px;
}
/* 区分 */
.HACHU010-tbl-dtl thead tr:nth-of-type(2) th:nth-of-type(8),
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(8) {
    width: 85px;
    max-width: 85px;
}

/* 中央寄せ */
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(10),
.HACHU010-tbl-dtl tbody tr:nth-of-type(1) td:nth-of-type(13),
.HACHU010-tbl-dtl tbody tr:nth-of-type(2) td:nth-of-type(8) {
    text-align: center;
}

/* 明明細表示テーブル縞対応 */
.HACHU010-tbl-dtl tbody:nth-child(odd) tr {
  /* 縞装飾 */
/*  background-color: #f4f6f6;*/
    background-color: #aaffff;
}
.HACHU010-tbl-dtl tbody:nth-child(even) tr {
  background-color: #ffffff;
}
.HACHU010-tbl-dtl tbody.HACHU010-tb-warrn tr {
  background-color: #ffc;;
}

/* 選択ボタン */
.HACHU010-btn-azuke_no {
    width: 57px;
    height: 23px;
    margin: 0;
    font-weight: bold;
    background: #192f60;
    border: 2px solid #000;
    color: white;
}

/*****************************
 *発注時確認情報エリア定義(登録画面)
 ****************************/
.HACHU010-div-chk_title,
.HACHU010-div-chk_data {
    margin: 0px;
}
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(1) {
    width: 30px;
    max-width: 30px;
    text-align: center;
}
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(1) {
    width: 30px;
    max-width: 30px;
    text-align: right;
}
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(2),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(3),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(4),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(5),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(6) {
    width: 80px;
    max-width: 80px;
}
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(2),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(3),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(4),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(5),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(6) {
    width: 80px;
    max-width: 80px;
    text-align: right;
}
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(7),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(7),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(8),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(8),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(9),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(9) {
    width: 93px;
    max-width: 93px;
    text-align: right;
}
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(10),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(10),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(11),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(11),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(12),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(12),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(13),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(13),
.HACHU010-tbl-chk thead tr:nth-of-type(1) th:nth-of-type(14),
.HACHU010-tbl-chk tbody tr:nth-of-type(1) td:nth-of-type(14) {
    width: 93px;
    max-width: 93px;
    text-align: right;
}

/* thタグ内に文字を配置したため白色 */
#lblHachuYmd01,
#lblHachuYmd02,
#lblHachuYmd03,
#lblHachuYmd04,
#lblHachuYmd05,
#lblHachuYmd06 {
    color: #ffffff;
}
    
/*  税額内訳画面
***************************************************************************************************/
/* 税率一覧 */
.HACHU010-tbl-zeirisu {
/*    width: 500px;*/
}
/* 税率 */
.HACHU010-tbl-zeirisu thead tr th:nth-of-type(1),
.HACHU010-tbl-zeirisu tbody tr td:nth-of-type(1) {
    width: 120px;
    max-width: 120px;
}
.HACHU010-tbl-zeirisu tbody tr td:nth-of-type(1) {
    text-align: center;
}

/* 税抜金額 */
.HACHU010-tbl-zeirisu thead tr th:nth-of-type(2),
.HACHU010-tbl-zeirisu tbody tr td:nth-of-type(2) {
    width: 130px;
    max-width: 130px;
}
/* 税金額 */
.HACHU010-tbl-zeirisu thead tr th:nth-of-type(3),
.HACHU010-tbl-zeirisu tbody tr td:nth-of-type(3) {
    width: 130px;
    max-width: 130px;
}
/* 税込金額 */
.HACHU010-tbl-zeirisu thead tr th:nth-of-type(4),
.HACHU010-tbl-zeirisu tbody tr td:nth-of-type(4) {
    width: 130px;
    max-width: 130px;
}
/* topの余白 */
.HACHU010-margin-top {
    margin-top: 8px;
}